Solana
Get Staking Account
Return information about staking accounts.
GET
/
api
/
v1
/
solana
/
{network}
/
account
/
staking
Get Staking Account
curl --request GET \
--url https://api.p2p.org/api/api/v1/solana/{network}/account/staking \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.p2p.org/api/api/v1/solana/{network}/account/staking"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.p2p.org/api/api/v1/solana/{network}/account/staking', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"result": {
"accounts": [
{
"stakeAccount": "Fw82VhehY4yazX6tcZfNQWTsqHDSXaGmwVkbJYegDMbG",
"stakeAuthority": "9i5cTqci1W6DHdYfT7WbiNhP5DXvnPNTXvS9fTBFfuSw",
"withdrawAuthority": "9i5cTqci1W6DHdYfT7WbiNhP5DXvnPNTXvS9fTBFfuSw",
"voteAccount": "9i5cTqci1W6DHdYfT7WbiNhP5DXvnPNTXvS9fTBFfuSw",
"status": "active",
"amount": 1,
"amountWithoutRentExemption": 1,
"stakeAmounts": {
"active": 1000000000000,
"inactive": 1000000000000
}
}
]
}
}{
"error": {
"code": 123,
"name": "ThrottlerException",
"message": "ThrottlerException",
"errors": [
{}
]
},
"result": null,
"requestId": "90c16e9e-6e99-4651-a033-60290356df2f",
"timestamp": "2026-05-20T22:29:03.126Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Solana network:
- `mainnet-beta` — production network.
- `testnet` — testnet.
Available options:
mainnet-beta, testnet Query Parameters
List of account addresses that can perform staking operations with staking accounts.
Example:
"9i5cTqci1W6DHdYfT7WbiNhP5DXvnPNTXvS9fTBFfuSw,AaMC5y1RofbY3unyrahRzyCzsesp7rfGuaGegbAg1Hxb"
List of staking account addresses.
Example:
"9i5cTqci1W6DHdYfT7WbiNhP5DXvnPNTXvS9fTBFfuSw,AaMC5y1RofbY3unyrahRzyCzsesp7rfGuaGegbAg1Hxb"
List of account addresses that can perform withdrawal operation with staking accounts.
Example:
"9i5cTqci1W6DHdYfT7WbiNhP5DXvnPNTXvS9fTBFfuSw,AaMC5y1RofbY3unyrahRzyCzsesp7rfGuaGegbAg1Hxb"
Staking account status: active, inactive, activating, deactivating.
Available options:
active, inactive, activating, deactivating Example:
"active"
Get Staking Account
